﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="Login.ascx.cs" Inherits="ClientEventPoolDemo.Controls.Login" %>
<%@ Register TagName="Register" TagPrefix="ap" Src="~/Controls/Register.ascx" %>
<%@ Register TagName="ForgotPassword" TagPrefix="ap" Src="~/Controls/ForgotPassword.ascx" %>

<asp:Button ID="btnLogin" runat="server" Text="Login" /> 

<asp:Panel ID="pnlLogin" runat="server" CssClass="popup">
    <table>
        <tr>
            <th>Username</th>
            <td><asp:TextBox ID="txtUsername" runat="server" /></td>
        </tr>
        <tr>
            <th>Password</th>
            <td><asp:TextBox ID="txtPassword" runat="server" TextMode="Password" /></td>
        </tr>
        <tr>
            <td colspan="2">&nbsp;</td>
        </tr>
        <tr>
            <td><a href="#" id="forgotPassword">Forgotten Password</a></td>
            <td><a href="#" id="register">Register</a></td>
        </tr>
        <tr>
            <td>&nbsp;</td>
            <td style="text-align:right"><asp:Button ID="btnCancel" runat="server" Text="Cancel" /></td>
        </tr>
    </table>
</asp:Panel>
    <ap:Register runat="server" />
    <ap:ForgotPassword runat="server" />

<ajax:ModalPopupExtender ID="modalLogin" runat="server"
    BehaviorID="modalLoginBehavior" 
    TargetControlID="btnLogin" 
    PopupControlID="pnlLogin" 
    CancelControlID="btnCancel"
    BackgroundCssClass="popup-background" />

<script type="text/javascript">
    Sys.Application.add_load(function() {
        $addHandler($get('forgotPassword'), 'click', function() {
            ClientEventPool.raiseEvent('forgotPasswordShow', $get('forgotPassword'), new Sys.EventArgs());
        });
        $addHandler($get('register'), 'click', function() {
            ClientEventPool.raiseEvent('registerShow', $get('register'), new Sys.EventArgs());
        });

        var modal = $find('<%= modalLogin.BehaviorID %>');
        ClientEventPool.addEvent('forgotPasswordShowing', Function.createDelegate(modal, function() {
            modal.hide();
        }));
        ClientEventPool.addEvent('forgotPasswordHiding', Function.createDelegate(modal, function() {
            modal.show();
        }));
        ClientEventPool.addEvent('registerShowing', Function.createDelegate(modal, function() {
            modal.hide();
        }));
        ClientEventPool.addEvent('registerHiding', Function.createDelegate(modal, function() {
            modal.show();
        }));
    });
</script>